
package de.ivu.elect.presentation.entschaedigung.menu;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.jee.presentation.menu.MenuEntry;
import de.ivu.elect.presentation.ui.AbstractPageMenuModelBuilder;

@Named(AuszahlungPageMenu.COMPONENT_NAME)
public class AuszahlungPageMenu extends AbstractPageMenuModelBuilder {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "auszahlungPageMenu";

  @Inject
  private transient AuszahlungSearchMenuItemEntry auszahlungSearchMenuItemEntry;

  @Inject
  private transient AuszahlungCreateMenuItemEntry auszahlungCreateMenuItemEntry;

  @Inject
  private transient AuszahlungExportMenuItemEntry auszahlungExportMenuItemEntry;

  public AuszahlungPageMenu() {
    super();
  }

  @Override
  public List<MenuEntry> getMenuEntriesSorted() {
    List<MenuEntry> result = new ArrayList<>();

    result.add(auszahlungSearchMenuItemEntry);
    result.add(auszahlungCreateMenuItemEntry);
    result.add(auszahlungExportMenuItemEntry);

    return result;
  }
}
